This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 63207 - "activate device when computer starts" fails with "Exeption Occured"
"activate device when computer starts" fails with "Exeption Occured"
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-network (Show other bugs)
7.2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-11 04:11 EDT by Need Real Name
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-16 22:55:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-04-11 04:11:25 EDT
Description of Problem:

An Exception Occured dialog occurs when adding the "activate device
when computer starts" property.


Version-Release number of selected component (if applicable):

Version     : 0.9.10                            Vendor: Red Hat, Inc.
Release     : 2                             Build Date: Thu 10 Jan 2002 


How Reproducible:

Every time, for me.


Steps to Reproduce:

I started redhat-config-network as a normal user.
I entered the root password.
I selected eth0 from the devices tab
I clicked on edit
I checked "activate device when computer starts"
I clicked ok
I clicked on apply
An Exception Occured dialog appeared.


Actual Results:

Please visit http://bugzilla.redhat.com/bugzilla/ !
File a bug against component redhat-config-network. Thank you!

Traceback (innermost last):
  File "/usr/sbin/neat", line 1210, in ?
    gtk.mainloop()
  File "/usr/lib/python1.5/site-packages/gtk.py", line 2608, in mainloop
    _gtk.gtk_main()
  File "/usr/lib/python1.5/site-packages/libglade.py", line 28, in __call__
    ret = apply(self.func, a)
  File "/usr/sbin/neat", line 392, in on_applyButton_clicked
    self.save()
  File "/usr/sbin/neat", line 271, in save
    self.saveHardware()
  File "/usr/sbin/neat", line 283, in saveHardware
    hardwarelist.save()
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/NCHardwareList.py",
line 226, in save
    wvdial[hw.Name]['Modem'] = hw.Modem.DeviceName
AttributeError: 'None' object has no attribute 'DeviceName'


Expected Results:


Additional Information:
Comment 1 Need Real Name 2002-04-11 04:28:41 EDT
The file:

   /etc/sysconfig/network-scripts/ifcfg-eth0

Does appear to have been modifed at approximately the correct time: Apr 11 02:01
MDT, and the value of:

   ONBOOT=yes

So, it appears the the change was actually made.
Comment 2 Need Real Name 2002-04-11 04:34:33 EDT
The FULL dump is:

Traceback (innermost last):
  File "/usr/sbin/neat", line 1210, in ?
    gtk.mainloop()
  File "/usr/lib/python1.5/site-packages/gtk.py", line 2608, in mainloop
    _gtk.gtk_main()
  File "/usr/lib/python1.5/site-packages/libglade.py", line 28, in __call__
    ret = apply(self.func, a)
  File "/usr/sbin/neat", line 392, in on_applyButton_clicked
    self.save()
  File "/usr/sbin/neat", line 271, in save
    self.saveHardware()
  File "/usr/sbin/neat", line 283, in saveHardware
    hardwarelist.save()
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/NCHardwareList.py",
line 226, in save
    wvdial[hw.Name]['Modem'] = hw.Modem.DeviceName
AttributeError: 'None' object has no attribute 'DeviceName'

Local variables in innermost frame:
isdn: <netconfpkg.NCisdnhardware.ConfISDN instance at 84bc248>
hw: <netconfpkg.HardwareList.Hardware instance at 84971f0>
selfkey: Mem
wvdial: <netconfpkg.ConfSMB.ConfSMB instance at 84bb150>
modules: <netconfpkg.NCHardwareList.MyConfModules instance at 84afc78>
confkey: mem
self: [<netconfpkg.HardwareList.Hardware instance at 849a758>,
<netconfpkg.HardwareList.Hardware instance at 84971f0>,
<netconfpkg.HardwareList.Hardware instance at 849fdf8>]
Comment 3 Harald Hoyer 2002-04-11 06:12:53 EDT
Could you try a newer version from http://people.redhat.com/teg/neat/ ? 
Preferable 0.9.24, which will be available tomorrow.
Comment 4 Trond Eivind Glomsrxd 2002-04-11 20:32:06 EDT
Available now.
Comment 5 Need Real Name 2002-04-16 22:55:12 EDT
Installed redhat-config-network-0.9.24-1.i386.rpm.

The new code works correctly.

More precisely, the new code requests permission to change file permissions for
/etc/sysconfig/networking/devices/ifcfg-eth0 from 600 to 644, and correctly
reports an error attempting to modify /etc/hosts (immutable attribute, i, is set
on the file).

With the "i" attribute cleared from /etc/hosts, the operation completes without
errors.

---------------------------------------------------------------

Note You need to log in before you can comment on or make changes to this bug.